package cn.com.countrygarden.bi.main.service.wcx;


import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.wcx.WcxNoticeDto;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.PageData;

public interface WcxNoticeService {

    PageData selectPageList(WcxNoticeDto dto);

    Result add(WcxNoticeDto wcxNoticeDto, AccessToken accessToken);

    Result release(String noticeId, String releaseStatus,String userName, AccessToken accessToken);

    Result del(String noticeId, AccessToken accessToken);

    Result check(String noticeId, AccessToken accessToken);

    Result edit(WcxNoticeDto wcxNoticeDto, AccessToken accessToken);
}
